observations<- {bnstruct} | R Documentation

## set the list of observations of an `InferenceEngine`.

### Description

Add a list of observations to an InferenceEngine, using a list of observations composed by the two following vectors:

- `observed.vars`vector of observed variables;

- `observed.vals`vector of values observed for the variables in `observed.vars` in the corresponding position.

### Usage

    observations(x) <- value

    ## S4 replacement method for signature 'InferenceEngine'
    observations(x) <- value

### Arguments

`x` | an `InferenceEngine`.
`value` | the list of observations of the `InferenceEngine`.

### Details

Replace previous list of observations, if present. In order to add evidence, and not just replace it, one must use the `add.observations<-` method.

In case of multiple observations of the same variable, the last observation is the one used, as the most recent.

### See Also

`add.observations<-`

[Package bnstruct version 1.0.6 Index]